uuid: efab0ed0-d687-4afb-a792-3a0bea5471bf
langcode: en
status: true
dependencies: {  }
id: upgrade_d6_custom_block
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 6'
  - Content
migration_group: migrate_drupal_6
label: 'Custom blocks'
source:
  plugin: d6_box
process:
  id:
    -
      plugin: get
      source: bid
  info:
    -
      plugin: get
      source: info
  body/format:
    -
      plugin: migration_lookup
      migration: upgrade_d6_filter_format
      source: format
  body/value:
    -
      plugin: get
      source: body
destination:
  plugin: 'entity:block_content'
  default_bundle: basic
  no_stub: true
migration_dependencies:
  required:
    - upgrade_d6_filter_format
    - upgrade_block_content_body_field
  optional:
    - upgrade_d6_filter_format
